Bug 44383 - RPM 4.0.2 Segmentation fault on "rpm --rebuilddb"
RPM 4.0.2 Segmentation fault on "rpm --rebuilddb"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-13 09:35 EDT by blom
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 05:14:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My rpm-db from /var/lib/rpm (5.59 MB, application/octet-stream)
2001-06-13 09:39 EDT, blom
no flags Details

  None (edit)
Description blom 2001-06-13 09:35:46 EDT
Description of Problem:

I am experiencing the same problem many people have reported on rpm 4.0.2 after upgrading to it, viz. the segmentation fault appearing on 
querying the database past a specific package, or trying to rebuild it. 

My database is still in db1 format and attached as a tar.gz file - is there some simple fix?

I read the message in the Yahoo rpm-list group from Jeff asking a user to submit a bugreport with such a tar-file attached. Of course, if everyone 
start doing that it will create a right mess, but please forgive me for trying... I need my rpm to work!

Steps to Reproduce:
1. Upgrade to rpm 4.0.2
2. rpm --rebuilddb
3.
Comment 1 blom 2001-06-13 09:39:18 EDT
Created attachment 20962 [details]
My rpm-db from /var/lib/rpm
Comment 2 Jeff Johnson 2001-06-13 10:30:30 EDT
Can you attach a pointer (i.e. URL) to the tarball please? bugzilla
attachments have an upper size limit taht is too small for rpm
databases. Thanks ...
Comment 3 blom 2001-06-14 05:14:30 EDT
Many thanks for your swift reply. The file in question can be found at 
http://www.teorfys.lu.se/personal/Anders.Blom/docs/rpmdb.tar.gz

Best regards,
Anders Blom
Comment 4 Jeff Johnson 2001-06-14 10:10:43 EDT
A --rebuilddb with a recent version of rpm-4.0.3 from Raw Hide will fix your
problem.
Please reopen this bug if you need more.

Note You need to log in before you can comment on or make changes to this bug.